<?xml version='1.0' encoding='utf-8' standalone='no' ?>
<AS2LintWarnings>
	
<warnings>
	<!-- General warnings for things which might be legal code, but are likely not what the author inteded -->
    <warning id="1100" enabled="true" label="kWarning_AssignmentWithinConditional">Die enthaltene Anweisung ist bedingt.</warning>
    <warning id="1112" enabled="true" label="kWarning_BadArrayCast">Möglicherweise ungültiger Array-Umwandlungsvorgang.</warning>
    <warning id="3590" enabled="true" label="kWarning_BadBoolAssignment">Ein nicht-boolescher Wert wurde verwendet, wo ein boolescher Wert erwartet wurde.</warning>
    <warning id="3575" enabled="true" label="kWarning_BadDateCast">Ungültiger Date-Umwandlungsvorgang.</warning>
    <warning id="3594" enabled="true" label="kWarning_BadES3TypeMethod">Unbekannte Methode.</warning>
    <warning id="3592" enabled="true" label="kWarning_BadES3TypeProp">Unbekannte Eigenschaft.</warning>
    <warning id="1098" enabled="true" label="kWarning_BadNaNComparision">Unlogischer Vergleich mit ""NaN"". Jeder Vergleichsvorgang mit ""NaN"" wird mit ""false"" bewertet, da ""NaN != NaN"".</warning>
    <warning id="1102" enabled="true" label="kWarning_BadNullAssignment">Unmögliche Anweisung für ""null"".</warning>
    <warning id="1096" enabled="true" label="kWarning_BadNullComparision">Unlogischer Vergleich mit ""null"".</warning>
    <warning id="1012" enabled="true" label="kWarning_BadUndefinedComparision">Unlogischer Vergleich mit ""undefined"".  Nur nicht typisierte Variablen (oder Variablen vom Typ *) können nicht definiert sein.</warning>
    <warning id="3583" enabled="true" label="kWarning_DuplicateArgumentNames">Mehrere Argument haben den gleichen Namen.</warning>
    <warning id="3596" enabled="true" label="kWarning_DuplicateVariableDef">Duplizierte Variablendefinition.</warning>
    <warning id="1092" enabled="true" label="kWarning_NegativeUintLiteral">Bei Zuweisung zu einem uint-Datentyp wird aus einem negative Wert ein großer positiver Wert.</warning>
    <warning id="3553" enabled="true" label="kWarning_UnlikelyFunctionValue">Möglicherweise fehlende Klammern.</warning>

    <!-- Coding style preference warnings. Use these warnings if you want to be reminded to always use type declarations, acess/namespace attributes, etc. -->
    <warning id="1008" enabled="false" label="kWarning_NoTypeDecl">Fehlende type-Deklaration.</warning>
    <warning id="1084" enabled="false" label="kWarning_MissingNamespaceDecl">Fehlende namespace-Deklaration (z. B. Variable wurde nicht als öffentlich, privat usw. definiert).</warning>
    <warning id="1110" enabled="true" label="kWarning_ConstNotInitialized">Konstante wurde nicht initialisiert.</warning>
    <warning id="1114" enabled="false" label="kWarning_NoExplicitSuperCallInConstructor">Die super()-Anweisung wurde im Konstruktor nicht aufgerufen.</warning>
    <warning id="1104" enabled="false" label="kWarning_NoConstructor">Fehlender Konstruktor.</warning>
    
    <!-- Warnings to aid migrating code from AS2 to AS3 -->
    <warning id="1090" enabled="true" label="kWarning_DepricatedEventHandlerError">EventHandler wurde nicht als Listener hinzugefügt.</warning>
    <warning id="1060" enabled="true" label="kWarning_DepricatedFunctionError">Nicht unterstützte ActionScript 2.0-Funktion.</warning>
    <warning id="1058" enabled="true" label="kWarning_DepricatedPropertyError">Nicht unterstützte ActionScript 2.0-Eigenschaft.</warning>
    <warning id="1044" enabled="false" label="kWarning_ArrayToStringChanges">Das Format ""Array.toString()"" wurde geändert.</warning>
    <warning id="1034" enabled="false" label="kWarning_BooleanConstructorWithNoArgs">""Boolean()"" ohne Argumente gibt in ActionScript 3.0 ""false"" zurück.  ""Boolean()"" gab in ActionScript 2.0 ""undefined"" zurück.</warning>
    <warning id="1066" enabled="true" label="kWarning_ChangesInResolve">""__resolve"" wird nicht mehr unterstützt.</warning>
    <warning id="1072" enabled="true" label="kWarning_ClassIsSealed">Die Klasse ist versiegelt.  Ihr können keine Mitglieder auf dynamische Weise hinzugefügt werden.</warning>
    <warning id="1030" enabled="false" label="kWarning_ConstructorReturnsValue">In neuem Ausdruck verwendete Funktion gibt einen Wert zurück.  Das Ergebnis ist nicht eine neue Instanz dieser Funktion sondern der Rückgabewert der Funktion.</warning>
    <warning id="1086" enabled="false" label="kWarning_ForVarInChanges">ActionScript 3.0 durchläuft die Objekteigenschaften in einer "for x in target"-Anweisung in zufälliger Reihenfolge.</warning>
    <warning id="3555" enabled="true" label="kWarning_InstanceOfChanges">Verwenden des instanceof-Operators.</warning>
    <warning id="1070" enabled="true" label="kWarning_LevelNotSupported">"_level" wird nicht mehr unterstützt. Weitere Informationen finden Sie im Abschnitt zu ""flash.display"".</warning>
    <warning id="1038" enabled="false" label="kWarning_NumberFromStringChanges">In ActionScript 3.0 werden Leerräume ignoriert und '' gibt 0 zurück. ""Number()"" gibt in ActionScript 2.0 ""NaN"" zurück, wenn der Parameter '' lautet oder Leerraum enthält.</warning>
    <warning id="1082" enabled="false" label="kWarning_ScopingChangeInThis">Der Gültigkeitsbereich des Schlüsselworts ""this"" wurde geändert.  Klassenmethoden, die aus der Instanz einer Klasse extrahiert werden, gehen bei der Auflösung von ""this"" immer zurück zu dieser Instanz.  In ActionScript 2.0 wird dies dynamisch ermittelt, und zwar abhängig davon, wo die Methode aufgerufen wurde.</warning>
    <warning id="3551" enabled="true" label="kWarning_SlowTextFieldAddition">Nicht effiziente Verwendung von ""+="" an einem TextField.</warning>
    <warning id="3573" enabled="false" label="kWarning_XML_ClassHasChanged">Mögliche Verwendung der ActionScript 2.0 XML-Klasse.</warning>
</warnings>

</AS2LintWarnings>
